﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FlexGridCheckboxlist
{
    public partial class CheckedListBoxDropDown : C1.Win.C1Input.DropDownForm
    {
        public CheckedListBoxDropDown()
        {
            InitializeComponent();
        }

        public CheckedListBoxDropDown(string[] items)
        {
            InitializeComponent();
            foreach (string item in items)
            {
                checkedListBox1.Items.Add(item);
            }
        }

        private void CheckedListBoxDropDown_PostChanges(object sender, EventArgs e)
        {
            //Format selected items into comma separated list
            string conc = "";
            foreach (string item in checkedListBox1.CheckedItems)
            {
                conc += item + ", ";
            }
            if (conc.Length > 0)
                conc = conc.Remove(conc.LastIndexOf(','), 2);
            OwnerControl.Value = conc;
        }

        private void CheckedListBoxDropDown_Open(object sender, EventArgs e)
        {
            //Check items which are included in text (useful if used as a grid editor)
            string s = OwnerControl.Text;
            for (int i = 0; i < checkedListBox1.Items.Count; i++)
            {
                if (s.Contains(checkedListBox1.Items[i].ToString()))
                    checkedListBox1.SetItemChecked(i, true);
                else
                    checkedListBox1.SetItemChecked(i, false);
            }
            checkedListBox1.SelectedIndex = -1;
        }
    }
}
